Update a token budget - Barndoor Documentation
Update a token budget
cURL
curl --request PUT \
--url https://app.barndoor.ai/api/llm-gateway/admin/budgets/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"token_limit": 123,
"alert_thresholds": [
123
],
"enabled": true,
"cost_limit": 123,
"traffic_type": "all"
}
'
Python Example
import requests
url = "https://app.barndoor.ai/api/llm-gateway/admin/budgets/{id}"
payload = {
"name": "<string>",
"token_limit": 123,
"alert_thresholds": [123],
"enabled": True,
"cost_limit": 123,
"traffic_type": "all"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript Example
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
token_limit: 123,
alert_thresholds: [123],
enabled: true,
cost_limit: 123,
traffic_type: 'all'
})
};
fetch('https://app.barndoor.ai/api/llm-gateway/admin/budgets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP Example
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.barndoor.ai/api/llm-gateway/admin/budgets/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'token_limit' => 123,
'alert_thresholds' => [
123
],
'enabled' => true,
'cost_limit' => 123,
'traffic_type' => 'all'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Go Example
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.barndoor.ai/api/llm-gateway/admin/budgets/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"token_limit\": 123,\n \"alert_thresholds\": [\n 123\n ],\n \"enabled\": true,\n \"cost_limit\": 123,\n \"traffic_type\": \"all\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Example Responses
Successful Response
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Engineering monthly tokens",
"token_limit": 50000000,
"alert_thresholds": [
80,
90
],
"traffic_type": "all",
"currency": "USD",
"enabled": true,
"scope_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope_value": "<string>",
"cost_limit": 123,
"target_provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_upstream_model": "<string>",
"target_model_alias": "<string>"
}
Error Response
{
"error": "BadRequest",
"message": "request_timeout_secs must be between 1 and 3600"
}